Blursoft Blur6ex多个远程SQL注入漏洞

2011-2-25 9:45:47 来源:网络转载 浏览:62
Blursoft Blur6ex多个远程SQL注入漏洞
影响版本:
Blursoft Blur6ex 0.3.462

程序介绍:

Blursoft Blur6ex是一个流行的PHP论坛程序。

漏洞分析:

Blursoft Blur6ex对用户请求数据的处理存在输入验证漏洞,远程攻击者可能利用此漏洞对服务器执行SQL注入攻击,非法操作数据库。
Blur6ex的多个脚本中由于没有正确地验证ID参数的输入数据,远程攻击者可以利用SQL注入攻击执行任意SQL代码。

漏洞利用:

http://www.example.com/[blur6ex_dir]/index.php?shard=blog&action=g_reply&ID=[SQL_here]
http://www.example.com/[blur6ex_dir]/index.php?shard=blog&action=g_permaPost&ID=[SQL_here]
http://www.example.com/[blur6ex_dir]/index.php?shard=content&action=g_viewContent&ID=[SQL_here]


解决方案:
厂商补丁:Blursoft
目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
http://www.blursoft.com/

(0)
(0)